<template>
  <div id="sidebar">
    <router-link to="/" class="enpoint" :class="[($route.name === 'Activity') ? 'active' : '']">Hoạt động</router-link>
    <router-link to="/report" class="enpoint" :class="[($route.name === 'Report') ? 'active' : '']">Báo cáo </router-link>
  </div>
</template>

<script>
export default {
  name: "SideBar",
  setup() {
    
  },
}
</script>

<style scoped>
#sidebar {
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #444;
  width: 240px;
  height: 100%;
  box-shadow: 5px 0px 10px #ddd;
}
.enpoint{
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  width: calc(100%);
  height: fit-content;
  padding: 10px 0px;
  color: #ddd;
  background-color: #555;
  text-decoration: 0;
}

.active{
  color: white;
  background-color: #777;
  font-weight: bold;
}
</style>